version: '3.4'

services:
  managingdb:
    image: mongo
    networks:
      - managing-network

  managing.api:
    image: ${DOCKER_REGISTRY-}managingapi
    build:
      context: ../.
      dockerfile: Managing.Api/Dockerfile
    networks:
      - managing-network

  managing.api.workers:
    image: ${DOCKER_REGISTRY-}managingapiworkers
    build:
      context: ../.
      dockerfile: Managing.Api.Workers/Dockerfile
    networks:
      - managing-network

  # elasticsearch:
  #   image: elasticsearch:8.4.1
  #   networks:
  #     - managing-network

  # kibana:
  #   image: kibana:8.4.1

  influxdb:
    image: influxdb:latest
    networks:
      - managing-network

volumes:
  elasticsearch-data:
      driver: local
  mongodata: {}
  influxdata: {}

networks:
  managing-network:
    name: managing-network